On 27 Nov 01:15, Илья Шипицин wrote:
> ср, 27 нояб. 2019 г. в 01:10, Russell Eason <rea...@knackworks.com>:
> 
> > Hello,
> >
> > Fedora upstream added it
> > https://src.fedoraproject.org/rpms/haproxy/c/45c57ba71174f308a5f59569bac0598bb31ef767
> > , and can be seen as far back as F24 here
> > https://src.fedoraproject.org/rpms/haproxy/blob/f24/f/haproxy.spec . LUA
> > support is in the RHEL 8 version of HAProxy, but not in 7 (yet?).
> >
> 
> I really stuck on that.
> haproxy needs Lua-5.3, there's no good for CentOS 7

I have published 2.1.0-7 rpm's which use LUA:

- in EL7 it is statically linked (from
  https://copr.fedorainfracloud.org/coprs/roidelapluie/lua/) so it does
  not depend on any centos lua package. As trade off I needed to disable
  PIE: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_pie.
  Use with care.
- in EL8 is is dynamically linked

I also cherry-picked fa137e3b5c994508370e0cd2396ece081a1316c4 as it is a
bug that affects me (being totally selfish here ...)

Regards,

-- 
 (o-    Julien Pivotto
 //\    Open-Source Consultant
 V_/_   Inuits - https://www.inuits.eu

Attachment: signature.asc
Description: PGP signature

Reply via email to